//
//  ViewController.m
//  PlaySongDemo
//
//  Created by zyqiong on 16/8/12.
//  Copyright © 2016年 zyqiong. All rights reserved.
//

#import "ViewController.h"
#import "MyView.h"
@interface ViewController ()

@property (assign, nonatomic) BOOL isExtension;// view是否展开

@property (strong, nonatomic) MyView *myView;@end

@implementation ViewController

- (void)musicBtn{
    
    self.isExtension = !self.isExtension;
    CGRect frameV = self.myView.frame;
    CGFloat heightV = frameV.size.height;
    
    CGContextRef context = UIGraphicsGetCurrentContext();
    [UIView beginAnimations:@"Curl" context:context];
    [UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
    [UIView setAnimationDuration:.3];
    if (self.isExtension) {
        frameV.origin.x = 68;
        frameV.size.width = self.view.frame.size.width - 68 * 2;
    } else {
        frameV.origin.x = self.view.frame.size.width - 68 - heightV;
        frameV.size.width = heightV;
    }
    self.myView.frame = frameV;
    self.myView.isViewExtension = self.isExtension;
    [UIView commitAnimations];
}

- (void)musicBtnClicked:(NSInteger)tag{
    switch (tag) {
        case 10:
            // 下一首
            break;
        case 11:
            // 暂停/播放
            break;
        case 12:
            // 打开/关闭
            [self musicBtn];
            break;
        default:
            break;
    }
}

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.view addSubview:self.myView];
    self.isExtension = NO;
    
}


- (MyView *)myView {
    if (_myView == nil) {
        CGFloat height = 36;
        CGFloat x = self.view.frame.size.width - 68 - height;
        CGFloat y = 300;
        CGFloat width = height;
        MyView *my = [[MyView alloc] initWithFrame:CGRectMake(x, y, width, height)];
        my.clickedBack = ^(NSInteger tag){
            [self musicBtnClicked:tag];
        };
        my.backgroundColor = [UIColor clearColor];
        _myView = my;
    }
    return _myView;
}




@end
